=== debian/changelog ===
kdevplatform (1.6.0-0ubuntu1) trusty; urgency=low

  * New upstream release (LP: #1259220)
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 09 Dec 2013 17:24:43 +0100

kdevplatform (1.5.2-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Update watch file to use xz instead of bz2
  * Update install files

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 04 Nov 2013 15:42:30 +0100
